/// <reference path="lodash.d.ts" />
/// <reference path="three.d.ts" />
/// <reference path="Utils.d.ts" />
/// <reference path="OrbitalMechanics.d.ts" />
interface RingsData {
    innerRadius: number;
    outerRadius: number;
    color?: number;
    map?: THREE.Texture;
    texture?: THREE.Texture;
    alphaMap?: THREE.Texture;
    material?: THREE.Material;
}
interface BodyData {
    material?: THREE.Material;
    parent?: string;
    color: number;
    radius: number;
    rotation?: RotationData;
    orbit?: OrbitData;
    rings?: RingsData;
}
declare type SolarSystemData = {
    [name: string]: BodyData;
};
declare function getSolarSystemData(): SolarSystemData;
