function createParticleSystem(params) { //Params: speedDeviation, tailLength, particleSpeed OPTIONAL( color, particleCount, texture, size, opacity)
  var geometry = new THREE.BufferGeometry();
  var particles;

  particleCount = params.particleCount || 1800,
  particles = new THREE.Geometry();
  var pMaterial = new THREE.PointsMaterial({color: 0xFFFFFF, size: 0.5});

  for (var i = 0; i < particleCount; i++)
  {
    var particle = new THREE.Vector3(Math.random(), Math.random(), Math.random()).normalize();;
    particles.vertices.push(particle);
  }

  var material = new THREE.PointsMaterial({
    color: params.color || 0xffffff,
    map: params.texture || new THREE.TextureLoader().load( "Textures/particleb.png" ),
    size: params.size || 4.0,
    opacity: params.opacity || 0.5,
    // these two are important for transparency
    depthWrite: false,
    transparent: true
  });

  material.premultipliedAlpha = true;
  material.blending = THREE.AdditiveBlending;

  var particlesys = new THREE.Points( particles, material );
  scene.add( particlesys );

  function random(x){
    return Math.sin(877.1*x*x+1.33);
  }

  function updateParticleSystem() {
    if (!particlesys.visible) return;

    var pCount = particleCount;
    while (pCount--)
    {
      var particle = particles.vertices[pCount];
      var vel = new THREE.Vector3(
        random(pCount*3),
        random(pCount*3+1),
        random(pCount*3+2)).normalize().multiplyScalar(params.speedDeviation);
      vel.z += params.particleSpeed;
      particle.add(vel);
      if (particle.z > params.tailLength)
       particle.set(Math.random(), Math.random(), Math.random()).normalize();
    }

    particlesys.geometry.dynamic = true;
    particlesys.geometry.verticesNeedUpdate = true;
    particlesys.geometry.__dirtyVertices = true;
  }

  return {particlesys: particlesys, material: material, update: updateParticleSystem };
}


